AvailableSettings (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb
Class AvailableSettings

    java.lang.Object
      org.hibernate.ejb.AvailableSettings

Direct Known Subclasses:
  HibernatePersistence

    public class AvailableSettings

extends Object

Defines the available HEM settings, both JPA-defined as well as Hibernate-specific

NOTE : Does *not* include `Environment` values.

Field Summary
`static String` | `ALIAS_SPECIFIC_LOCK_MODE` Query hint (aka `Query.setHint(java.lang.String, java.lang.Object)`) for applying an alias specific lock mode (aka `Query.setLockMode(java.lang.String, org.hibernate.LockMode)`).
`static String` | `AUTODETECTION` JAR autodetection artifacts class, hbm
`static String` | `CFG_FILE` cfg.xml configuration file used
`static String` | `CLASS_CACHE_PREFIX` Caching configuration should follow the following pattern hibernate.ejb.classcache. usage[, region] where usage is the cache strategy used and region the cache region name
`static String` | `CLASS_NAMES` List of classes names Internal use only
`static String` | `COLLECTION_CACHE_PREFIX` Caching configuration should follow the following pattern hibernate.ejb.collectioncache.. usage[, region] where usage is the cache strategy used and region the cache region name
`static String` | `CONFIGURATION_JNDI_NAME` Consider this as experimental It is not recommended to set up this property, the configuration is stored in the JNDI in a serialized form
`static String` | `DISCARD_PC_ON_CLOSE` Whether or not discard persistent context on entityManager.close() The EJB3 compliant and default choice is false
`static String` | `ENTITY_MANAGER_FACTORY_NAME` EntityManagerFactory name
`static String` | `EVENT_LISTENER_PREFIX` Event configuration should follow the following pattern hibernate.ejb.event.[eventType] f.q.c.n.EventListener1, f.q.c.n.EventListener12 ...
`static String` | `FLUSH_MODE` Used to determine flush mode.
`static String` | `HBXML_FILES`
`static String` | `IDENTIFIER_GENERATOR_STRATEGY_PROVIDER` Deprecated. if possible wait of Hibernate 4.1 and theService registry (MutableIdentifierGeneratorStrategy service)
`static String` | `INTERCEPTOR` Interceptor class name, the class has to have a no-arg constructor the interceptor instance is shared amongst all EntityManager of a given EntityManagerFactory
`static String` | `JACC_CONTEXT_ID`
`static String` | `JACC_ENABLED`
`static String` | `JACC_PREFIX`
`static String` | `JDBC_DRIVER` The name of a JDBC driver to use to connect to the database.
`static String` | `JDBC_PASSWORD` The JDBC connection password.
`static String` | `JDBC_URL` The JDBC connection url to use to connect to the database.
`static String` | `JDBC_USER` The JDBC connection user name.
`static String` | `JPA_METAMODEL_GENERATION` Deprecated. use `JPA_METAMODEL_POPULATION` instead.
`static String` | `JPA_METAMODEL_POPULATION` Setting that controls whether we seek out JPA "static metamodel" classes and populate them.
`static String` | `JTA_DATASOURCE` The JNDI name of a JTA `DataSource`.
`static String` | `LOADED_CLASSES`
`static String` | `LOCK_SCOPE` Used to request (hint) a pessimistic lock scope.
`static String` | `LOCK_TIMEOUT` Used to request (hint) a pessimistic lock timeout (in milliseconds).
`static String` | `NAMING_STRATEGY` Naming strategy class name, the class has to have a no-arg constructor
`static String` | `NON_JTA_DATASOURCE` The JNDI name of a non-JTA `DataSource`.
`static String` | `PACKAGE_NAMES` List of annotated packages Internal use only
`static String` | `PERSIST_VALIDATION_GROUP` Used to coordinate with bean validators See JPA 2 section 8.2.1.9
`static String` | `PERSISTENCE_UNIT_NAME`
`static String` | `PROVIDER` THe name of the `PersistenceProvider` implementor See JPA 2 sections 9.4.3 and 8.2.1.4
`static String` | `REMOVE_VALIDATION_GROUP` Used to coordinate with bean validators See JPA 2 section 8.2.1.9
`static String` | `SCANNER` Pass an implementation of `Scanner`: - preferably an actual instance - or a class name with a no-arg constructor
`static String` | `SESSION_FACTORY_OBSERVER` SessionFactoryObserver class name, the class must have a no-arg constructor
`static String` | `SESSION_INTERCEPTOR` Interceptor class name, the class has to have a no-arg constructor
`static String` | `SHARED_CACHE_MODE` Used to indicate whether second-level (what JPA terms shared cache) caching is enabled as per the rules defined in JPA 2 section 3.1.7.
`static String` | `SHARED_CACHE_RETRIEVE_MODE` NOTE : Not a valid EMF property...
`static String` | `SHARED_CACHE_STORE_MODE` NOTE : Not a valid EMF property...
`static String` | `TRANSACTION_TYPE` The type of transactions supported by the entity managers.
`static String` | `UPDATE_VALIDATION_GROUP` Used to coordinate with bean validators See JPA 2 section 8.2.1.9
`static String` | `USE_CLASS_ENHANCER` Enable the class file enhancement
`static String` | `VALIDATION_FACTORY` Used to pass along any discovered validator factory.
`static String` | `VALIDATION_MODE` Used to indicate what form of automatic validation is in effect as per rules defined in JPA 2 section 3.6.1.1 See JPA 2 sections 9.4.3 and 8.2.1.8
`static String` | `XML_FILE_NAMES` List of classes names Internal use only

Constructor Summary
`AvailableSettings()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROVIDER

    public static final String PROVIDER

  THe name of the `PersistenceProvider` implementor

  See JPA 2 sections 9.4.3 and 8.2.1.4

  See Also:
    Constant Field Values

### TRANSACTION_TYPE

    public static final String TRANSACTION_TYPE

  The type of transactions supported by the entity managers.

  See JPA 2 sections 9.4.3 and 8.2.1.2

  See Also:
    Constant Field Values

### JTA_DATASOURCE

    public static final String JTA_DATASOURCE

  The JNDI name of a JTA `DataSource`.

  See JPA 2 sections 9.4.3 and 8.2.1.5

  See Also:
    Constant Field Values

### NON_JTA_DATASOURCE

    public static final String NON_JTA_DATASOURCE

  The JNDI name of a non-JTA `DataSource`.

  See JPA 2 sections 9.4.3 and 8.2.1.5

  See Also:
    Constant Field Values

### JDBC_DRIVER

    public static final String JDBC_DRIVER

  The name of a JDBC driver to use to connect to the database.

  Used in conjunction with `JDBC_URL`, `JDBC_USER` and `JDBC_PASSWORD` to define how to make connections to the database in lieu of a datasource (either `JTA_DATASOURCE` or `NON_JTA_DATASOURCE`).

  See section 8.2.1.9

  See Also:
    Constant Field Values

### JDBC_URL

    public static final String JDBC_URL

  The JDBC connection url to use to connect to the database.

  Used in conjunction with `JDBC_DRIVER`, `JDBC_USER` and `JDBC_PASSWORD` to define how to make connections to the database in lieu of a datasource (either `JTA_DATASOURCE` or `NON_JTA_DATASOURCE`).

  See section 8.2.1.9

  See Also:
    Constant Field Values

### JDBC_USER

    public static final String JDBC_USER

  The JDBC connection user name.

  Used in conjunction with `JDBC_DRIVER`, `JDBC_URL` and `JDBC_PASSWORD` to define how to make connections to the database in lieu of a datasource (either `JTA_DATASOURCE` or `NON_JTA_DATASOURCE`).

  See section 8.2.1.9

  See Also:
    Constant Field Values

### JDBC_PASSWORD

    public static final String JDBC_PASSWORD

  The JDBC connection password.

  Used in conjunction with `JDBC_DRIVER`, `JDBC_URL` and `JDBC_USER` to define how to make connections to the database in lieu of a datasource (either `JTA_DATASOURCE` or `NON_JTA_DATASOURCE`).

  See JPA 2 section 8.2.1.9

  See Also:
    Constant Field Values

### SHARED_CACHE_MODE

    public static final String SHARED_CACHE_MODE

  Used to indicate whether second-level (what JPA terms shared cache) caching is enabled as per the rules defined in JPA 2 section 3.1.7.

  See JPA 2 sections 9.4.3 and 8.2.1.7

  See Also:
    `SharedCacheMode`, Constant Field Values

### SHARED_CACHE_RETRIEVE_MODE

    public static final String SHARED_CACHE_RETRIEVE_MODE

  NOTE : Not a valid EMF property...

  Used to indicate if the provider should attempt to retrieve requested data in the shared cache.

  See Also:
    `CacheRetrieveMode`, Constant Field Values

### SHARED_CACHE_STORE_MODE

    public static final String SHARED_CACHE_STORE_MODE

  NOTE : Not a valid EMF property...

  Used to indicate if the provider should attempt to store data loaded from the database in the shared cache.

  See Also:
    `CacheStoreMode`, Constant Field Values

### VALIDATION_MODE

    public static final String VALIDATION_MODE

  Used to indicate what form of automatic validation is in effect as per rules defined in JPA 2 section 3.6.1.1

  See JPA 2 sections 9.4.3 and 8.2.1.8

  See Also:
    `ValidationMode`, Constant Field Values

### VALIDATION_FACTORY

    public static final String VALIDATION_FACTORY

  Used to pass along any discovered validator factory.

  See Also:
    Constant Field Values

### LOCK_SCOPE

    public static final String LOCK_SCOPE

  Used to request (hint) a pessimistic lock scope.

  See JPA 2 sections 8.2.1.9 and 3.4.4.3

  See Also:
    Constant Field Values

### LOCK_TIMEOUT

    public static final String LOCK_TIMEOUT

  Used to request (hint) a pessimistic lock timeout (in milliseconds).

  See JPA 2 sections 8.2.1.9 and 3.4.4.3

  See Also:
    Constant Field Values

### PERSIST_VALIDATION_GROUP

    public static final String PERSIST_VALIDATION_GROUP

  Used to coordinate with bean validators

  See JPA 2 section 8.2.1.9

  See Also:
    Constant Field Values

### UPDATE_VALIDATION_GROUP

    public static final String UPDATE_VALIDATION_GROUP

  Used to coordinate with bean validators

  See JPA 2 section 8.2.1.9

  See Also:
    Constant Field Values

### REMOVE_VALIDATION_GROUP

    public static final String REMOVE_VALIDATION_GROUP

  Used to coordinate with bean validators

  See JPA 2 section 8.2.1.9

  See Also:
    Constant Field Values

### ALIAS_SPECIFIC_LOCK_MODE

    public static final String ALIAS_SPECIFIC_LOCK_MODE

  Query hint (aka `Query.setHint(java.lang.String, java.lang.Object)`) for applying an alias specific lock mode (aka `Query.setLockMode(java.lang.String, org.hibernate.LockMode)`).

  Either `LockMode` or `LockModeType` are accepted. Also the String names of either are accepted as well. `null` is additionally accepted as meaning `LockMode.NONE`.

  Usage is to concatenate this setting name and the alias name together, separated by a dot. For example`Query.setHint( "org.hibernate.lockMode.a", someLockMode )` would apply `someLockMode` to the alias `"a"`.

  See Also:
    Constant Field Values

### AUTODETECTION

    public static final String AUTODETECTION

  JAR autodetection artifacts class, hbm

  See Also:
    Constant Field Values

### CFG_FILE

    public static final String CFG_FILE

  cfg.xml configuration file used

  See Also:
    Constant Field Values

### CLASS_CACHE_PREFIX

    public static final String CLASS_CACHE_PREFIX

  Caching configuration should follow the following pattern hibernate.ejb.classcache. usage[, region] where usage is the cache strategy used and region the cache region name

  See Also:
    Constant Field Values

### COLLECTION_CACHE_PREFIX

    public static final String COLLECTION_CACHE_PREFIX

  Caching configuration should follow the following pattern hibernate.ejb.collectioncache.. usage[, region] where usage is the cache strategy used and region the cache region name

  See Also:
    Constant Field Values

### INTERCEPTOR

    public static final String INTERCEPTOR

  Interceptor class name, the class has to have a no-arg constructor the interceptor instance is shared amongst all EntityManager of a given EntityManagerFactory

  See Also:
    Constant Field Values

### SESSION_INTERCEPTOR

    public static final String SESSION_INTERCEPTOR

  Interceptor class name, the class has to have a no-arg constructor

  See Also:
    Constant Field Values

### SESSION_FACTORY_OBSERVER

    public static final String SESSION_FACTORY_OBSERVER

  SessionFactoryObserver class name, the class must have a no-arg constructor

  See Also:
    Constant Field Values

### NAMING_STRATEGY

    public static final String NAMING_STRATEGY

  Naming strategy class name, the class has to have a no-arg constructor

  See Also:
    Constant Field Values

### IDENTIFIER_GENERATOR_STRATEGY_PROVIDER

    public static final String IDENTIFIER_GENERATOR_STRATEGY_PROVIDER

  Deprecated. if possible wait of Hibernate 4.1 and theService registry (MutableIdentifierGeneratorStrategy service)
  IdentifierGeneratorStrategyProvider class name, the class must have a no-arg constructor

  See Also:
    Constant Field Values

### EVENT_LISTENER_PREFIX

    public static final String EVENT_LISTENER_PREFIX

  Event configuration should follow the following pattern hibernate.ejb.event.[eventType] f.q.c.n.EventListener1, f.q.c.n.EventListener12 ...

  See Also:
    Constant Field Values

### USE_CLASS_ENHANCER

    public static final String USE_CLASS_ENHANCER

  Enable the class file enhancement

  See Also:
    Constant Field Values

### DISCARD_PC_ON_CLOSE

    public static final String DISCARD_PC_ON_CLOSE

  Whether or not discard persistent context on entityManager.close() The EJB3 compliant and default choice is false

  See Also:
    Constant Field Values

### CONFIGURATION_JNDI_NAME

    public static final String CONFIGURATION_JNDI_NAME

  Consider this as experimental It is not recommended to set up this property, the configuration is stored in the JNDI in a serialized form

  See Also:
    Constant Field Values

### FLUSH_MODE

    public static final String FLUSH_MODE

  Used to determine flush mode.

  See Also:
    Constant Field Values

### SCANNER

    public static final String SCANNER

  Pass an implementation of `Scanner`: - preferably an actual instance - or a class name with a no-arg constructor

  See Also:
    Constant Field Values

### CLASS_NAMES

    public static final String CLASS_NAMES

  List of classes names Internal use only

  See Also:
    Constant Field Values

### PACKAGE_NAMES

    public static final String PACKAGE_NAMES

  List of annotated packages Internal use only

  See Also:
    Constant Field Values

### ENTITY_MANAGER_FACTORY_NAME

    public static final String ENTITY_MANAGER_FACTORY_NAME

  EntityManagerFactory name

  See Also:
    Constant Field Values

### JPA_METAMODEL_GENERATION

    @Deprecated
    public static final String JPA_METAMODEL_GENERATION

  Deprecated. use `JPA_METAMODEL_POPULATION` instead.
  See Also:
    Constant Field Values

### JPA_METAMODEL_POPULATION

    public static final String JPA_METAMODEL_POPULATION

  Setting that controls whether we seek out JPA "static metamodel" classes and populate them. Accepts 3 values:
  - enabled - Do the population
  - disabled - Do not do the population
  - ignoreUnsupported - Do the population, but ignore any non-JPA features that would otherwise result in the population failing.

  See Also:
    Constant Field Values

### XML_FILE_NAMES

    public static final String XML_FILE_NAMES

  List of classes names Internal use only

  See Also:
    Constant Field Values

### HBXML_FILES

    public static final String HBXML_FILES

See Also:
  Constant Field Values

### LOADED_CLASSES

    public static final String LOADED_CLASSES

See Also:
  Constant Field Values

### JACC_CONTEXT_ID

    public static final String JACC_CONTEXT_ID

See Also:
  Constant Field Values

### JACC_PREFIX

    public static final String JACC_PREFIX

See Also:
  Constant Field Values

### JACC_ENABLED

    public static final String JACC_ENABLED

See Also:
  Constant Field Values

### PERSISTENCE_UNIT_NAME

    public static final String PERSISTENCE_UNIT_NAME

See Also:
  Constant Field Values

Constructor Detail

### AvailableSettings

    public AvailableSettings()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.